Bug 284001 - Excessive memory usage on big IRC logs
Excessive memory usage on big IRC logs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 10:26 EDT by Jan Kratochvil
Modified: 2014-06-09 07:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:53:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (3.28 KB, text/plain)
2007-09-09 10:28 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2007-09-09 10:26:57 EDT
Description of problem:
Some weeks ago Pidgin stopped to successfully start.
It eats about 1.56B memory, than I kill it swapping etc.

Version-Release number of selected component (if applicable):
pidgin-2.1.1-1.fc7.x86_64
gtk2-2.10.14-3.fc7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Get a lot of IRC logs (du -sh on the last crash says:
   2.8M    /home/lace/.purple/logs
2. start: pidgin

Actual results:
Machine start swapping, pidgin segfaults on out of memory.

Expected results:
Started pidgin, VSZ 459892 (still it is pretty big).

Additional info:
(gdb) bt#0  0x0000003000479270 in memcpy () from /lib64/libc.so.6#1 
0x0000003d67245fb0 in g_strdup () from /lib64/libglib-2.0.so.0#2 
0x0000000000497a2b in gtk_source_undo_manager_add_action (um=0xbbf120,
undo_action=0x7fff679da500) at gtksourceundomanager.c:779#3  0x000000000049801d
in gtk_source_undo_manager_insert_text_handler (buffer=<value optimized out>,
pos=0x7fff679dad70,     text=0x11cfe30 "(2007-08-24 16:38:37) CLASSIFIED IRC LOG
BACKUP
------------------------------------------------------------------------------------------------------------------------------------------------
CLASSIFIED"..., length=59, um=0xbbf120)    at gtksourceundomanager.c:697#4 
0x0000003d6760af39 in g_closure_invoke () from /lib64/libgobject-2.0.so.0#5 
0x0000003d6761a838 in g_source_remove () from /lib64/libgobject-2.0.so.0
#6  0x0000003d6761bc84 in g_signal_emit_valist () from
/lib64/libgobject-2.0.so.0#7  0x0000003d6761be53 in g_signal_emit () from
/lib64/libgobject-2.0.so.0#8  0x0000000000469e0e in
gtk_imhtml_insert_html_at_iter (imhtml=0xdaa2a0, text=0x4b2ff0 "ftp://",
options=<value optimized out>,     iter=0x7fff679dad70) at gtkimhtml.c:3009#9 
0x000000000046c8e3 in gtk_imhtml_append_text_with_images (imhtml=0xdaa2a0,    
text=0x2aaab86bc010 "(2007-08-22 17:45:34) CLASSIFIED IRC LOG BACKUP
------------------------------------------------------------------------------------------------------------------------------------------------
CLASSIFIED"..., options=GTK_IMHTML_NO_COLOURS,     unused=<value optimized out>)
at gtkimhtml.c:2245#10 0x00002aaab1074a0f in historize (c=<value optimized out>)
at history.c:126#11 0x00002aaaaab3da0d in purple_signal_emit_vargs
(instance=<value optimized out>, signal=0x2aaaaab80d8c "conversation-created", 
   args=0x7fff679daed0) at signals.c:481
#12 0x00002aaaaab3dc62 in purple_signal_emit (instance=0x2aaaeb103fd0,
    signal=0x1216df0 "--\n(2007-08-25 16:43:25) CLASSIFIED IRC LOG BACKUP
---------------------------------------------------------------------------------------------------------------------------------------------
CLASSIFIED"...) at signals.c:433
#13 0x00002aaaaab137b9 in purple_conversation_new (type=PURPLE_CONV_TYPE_CHAT,
account=0x7503f0, name=0xdc5090 "#devel")
    at conversation.c:335
#14 0x00002aaaaab3aae6 in serv_got_joined_chat (gc=0xbac3f0, id=9, name=0xdc5090
"#devel") at server.c:709
#15 0x00002aaab43137eb in irc_msg_join (irc=0xab3a10, name=<value optimized out>,
    from=0xdb77c0 "jkratoch!~jkratoch@sebastian-int.corp.redhat.com",
args=0xdb2cb0) at msgs.c:742
#16 0x00002aaab430f68f in irc_parse_msg (irc=0xab3a10, input=0xba8600
":jkratoch!~jkratoch@sebastian-int.corp.redhat.com JOIN :#devel")
    at parse.c:640
#17 0x00002aaab430d11c in read_input (irc=0xab3a10, len=<value optimized out>)
at irc.c:576#18 0x000000000046061f in pidgin_io_invoke (source=<value optimized
out>, condition=<value optimized out>, data=0xd2b180)
    at gtkeventloop.c:77
#19 0x0000003d6722d224 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#20 0x0000003d6723005d in g_source_remove () from /lib64/libglib-2.0.so.0
#21 0x0000003d6723036a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#22 0x0000003d6972d783 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#23 0x000000000047761e in main (argc=2, argv=0x7fff679dd638) at gtkmain.c:883
(gdb) q

It is most probably not a pidgin bug (but gtk one?), I will try to find out more
if you do not see the cause / existing fix etc.

Gnome "assistive technologies" is turned off (as always has been).

"Fix" by:
mv ~/.purple/logs ~/.purple/logs-BACKUP1

Unaware of the Rawhide reproducibility (going to move to F8test2).
Comment 1 Jan Kratochvil 2007-09-09 10:28:48 EDT
Created attachment 191061 [details]
backtrace

Resubmitted the backtrace as attached as it FUBAR-wrapped above.
Comment 2 Ignacio Vazquez-Abrams 2007-12-27 22:41:43 EST
pidgin-(none):2.2.2-1.fc7.i386

No crash here, but definitely excessive memory usage.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 3784 ignacio   20   0  429m 212m 6776 S  3.3 21.0 457:52.36 pidgin             
Comment 3 Ignacio Vazquez-Abrams 2008-01-11 06:34:17 EST
pidgin-(none):2.3.1-1.fc7.i386

Still no change.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3880 ignacio   20   0  451m 275m  11m S  0.0 27.3 457:33.63 pidgin
Comment 4 Ignacio Vazquez-Abrams 2008-01-20 23:30:13 EST
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
24406 ignacio   20   0  352m 226m  10m S  0.0 22.4 291:08.90 pidgin
Comment 5 Ignacio Vazquez-Abrams 2008-02-05 00:01:09 EST
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
23263 ignacio   20   0  465m 278m  13m S  0.0 27.6 420:04.39 pidgin             
Comment 6 Ignacio Vazquez-Abrams 2008-02-27 15:29:19 EST
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 8811 ignacio   20   0  468m 291m 9588 S 17.9 28.8 434:35.22 pidgin
Comment 7 Stu Tomlinson 2008-03-09 23:57:28 EDT
I'm not ignoring this bug report, although it may seem that way, honest!

Ignacio, what plugins do you have loaded? and what protocols are you using in
pidgin?
Comment 8 Ignacio Vazquez-Abrams 2008-03-10 17:37:39 EDT
Plugins:
Buddy Notes 2.4.0-1.fc7
Buddy State Notification 2.4.0-1.fc7
Conversation Badger 2.2.0
DiffTopic 2.2.0
Highlight 2.2.0
IRC More 2.2.0
Libnotify Popups 0.13
Mystatusbox 2.2.0
Nicksaid 2.2.0
OTR 3.1.0
Text Replacement 2.4.0-1.fc7

purple-plugin_pack-2.2.0-2.fc7.i386
purple-plugin_pack-pidgin-2.2.0-2.fc7.i386
pidgin-otr-3.1.0-2.fc7.i386
pidgin-libnotify-0.13-1.fc7.i386
pidgin-guifications-2.14-2.fc7.i386

Protocols:
IRC (3 active accounts, 26/2/0 tabs, 13 inactive accounts)
AIM (2 active accounts, 0/0 tabs)
XMPP (1 active account, 0 tabs, 1 inactive account)
MSN (1 inactive account)
Bonjour (1 inactive account)

I'm now running 2.4.0, so we'll see if it starts exhibiting the same problem.
Comment 9 Ignacio Vazquez-Abrams 2008-03-21 06:01:30 EDT
No luck with 2.4.0.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
16026 ignacio   20   0  465m 311m 8488 S  0.0 30.9 449:15.00 pidgin
Comment 10 Ignacio Vazquez-Abrams 2008-03-21 06:03:18 EDT
Also, I tried *just* disconnecting from 2 of the IRC servers and closing the
chat window but that had no effect on memory usage.
Comment 11 Ignacio Vazquez-Abrams 2008-04-18 20:00:02 EDT
Still with 2.4.1.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3103 ignacio   20   0  486m 280m  10m S  0.0 27.7 497:38.27 pidgin
Comment 12 Bug Zapper 2008-05-14 10:18:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Warren Togami 2008-11-23 14:33:28 EST
Please retest 2.5.2-2+
Comment 14 Bug Zapper 2008-11-26 02:46:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-08 23:53:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Jan Kratochvil 2014-06-09 07:39:56 EDT
No memory problems with big logs for many years now.

Note You need to log in before you can comment on or make changes to this bug.